tt_message_pattern(library call)

NAME
tt_message_pattern — return the pattern matched by a message

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_pattern tt_message_pattern(
Tt_message m);

DESCRIPTION

The tt_message_pattern function returns the pattern that the specified message matched.

The m argument is the opaque handle for the message involved in this operation.

RETURN VALUE

Upon successful completion, the tt_message_pattern function returns the opaque handle for a message pattern. The application can use tt_ptr_error(3) to determine if the handle is valid. The tt_message_pattern function returns one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

APPLICATION USAGE

The application should use tt_free(3) to free any data stored in the address returned by the ToolTalk API.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_ptr_error(3), tt_free(3).